package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BindSiteBriefOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class BindSiteBriefOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("status")
  private String status;

  @JsonProperty("overrides")
  @Valid
  private List<String> overrides = null;

  public BindSiteBriefOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Site Template ID
   * @return id
  */
  @ApiModelProperty(value = "Site Template ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public BindSiteBriefOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Name of the site template, contains 1 to 64 characters.
   * @return name
  */
  @ApiModelProperty(value = "Name of the site template, contains 1 to 64 characters.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public BindSiteBriefOpenApiVo status(String status) {
    this.status = status;
    return this;
  }

  /**
   * Configuration status of the site.
   * @return status
  */
  @ApiModelProperty(value = "Configuration status of the site.")


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public BindSiteBriefOpenApiVo overrides(List<String> overrides) {
    this.overrides = overrides;
    return this;
  }

  public BindSiteBriefOpenApiVo addOverridesItem(String overridesItem) {
    if (this.overrides == null) {
      this.overrides = new ArrayList<>();
    }
    this.overrides.add(overridesItem);
    return this;
  }

  /**
   * Override configurations of the site.
   * @return overrides
  */
  @ApiModelProperty(value = "Override configurations of the site.")


  public List<String> getOverrides() {
    return overrides;
  }

  public void setOverrides(List<String> overrides) {
    this.overrides = overrides;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BindSiteBriefOpenApiVo bindSiteBriefOpenApiVo = (BindSiteBriefOpenApiVo) o;
    return Objects.equals(this.id, bindSiteBriefOpenApiVo.id) &&
        Objects.equals(this.name, bindSiteBriefOpenApiVo.name) &&
        Objects.equals(this.status, bindSiteBriefOpenApiVo.status) &&
        Objects.equals(this.overrides, bindSiteBriefOpenApiVo.overrides);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, status, overrides);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BindSiteBriefOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    overrides: ").append(toIndentedString(overrides)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

